umbrello: PostgreSQLWriter Class Reference

umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | List of all members
PostgreSQLWriter Class Reference

`#include <postgresqlwriter.h>`

Inheritance diagram for PostgreSQLWriter:

## Public Member Functions
| PostgreSQLWriter ()
virtual | ~PostgreSQLWriter ()
Uml::ProgrammingLanguage::Enum | language () const
QStringList | defaultDatatypes ()
Public Member Functions inherited from SQLWriter
| SQLWriter ()
virtual | ~SQLWriter ()
virtual void | writeClass (UMLClassifier *c)
virtual QStringList | reservedKeywords () const
Public Member Functions inherited from SimpleCodeGenerator
| SimpleCodeGenerator (bool createDirHierarchyForPackages=true)
virtual | ~SimpleCodeGenerator ()
void | writeCodeToFile (UMLClassifierList &concepts)
void | writeCodeToFile ()
Public Member Functions inherited from CodeGenerator
| CodeGenerator ()
virtual | ~CodeGenerator ()
bool | addCodeDocument (CodeDocument *add_object)
bool | removeCodeDocument (CodeDocument *remove_object)
CodeDocumentList * | getCodeDocumentList ()
QString | getUniqueID (CodeDocument *codeDoc)
virtual void | saveToXMI1 (QDomDocument &doc, QDomElement &root)
CodeDocument * | findCodeDocumentByID (const QString &id)
void | setIncludeHeadings (bool i)
bool | includeHeadings () const
void | setHeadingFileDir (const QString &)
QString | headingFileDir () const
void | setForceDoc (bool f)
bool | forceDoc () const
void | setForceSections (bool f)
bool | forceSections () const
virtual QString | getHeadingFile (const QString &file)
QString | findFileName (CodeDocument *codeDocument)
virtual void | loadFromXMI1 (QDomElement &element)
CodeDocument * | findCodeDocumentByClassifier (UMLClassifier *classifier)
virtual bool | isReservedKeyword (const QString &keyword)
virtual void | createDefaultStereotypes ()

## Protected Member Functions
void | printAutoIncrements (QTextStream &sql, UMLEntityAttributeList entAttList)
Protected Member Functions inherited from SQLWriter
virtual void | printEntityAttributes (QTextStream &sql, UMLEntityAttributeList entityAttributeList)
virtual void | printUniqueConstraints (QTextStream &sql, UMLClassifierListItemList constrList)
virtual void | printForeignKeyConstraints (QTextStream &sql, UMLClassifierListItemList constrList)
virtual void | printCheckConstraints (QTextStream &sql, UMLClassifierListItemList constrList)
virtual void | printIndex (QTextStream &sql, UMLEntity *ent, UMLEntityAttributeList entAttList)
Protected Member Functions inherited from SimpleCodeGenerator
QString | findFileName (UMLPackage *concept, const QString &ext)
QString | overwritableName (UMLPackage *concept, const QString &name, const QString &ext)
bool | hasDefaultValueAttr (UMLClassifier *c)
bool | hasAbstractOps (UMLClassifier *c)
QString | indent ()
virtual void | initFromParentDocument ()
Protected Member Functions inherited from CodeGenerator
QString | overwritableName (const QString &name, const QString &extension)
bool | openFile (QFile &file, const QString &name)
void | writeListedCodeDocsToFile (CodeDocumentList *docs)
virtual void | finalizeRun ()

## Additional Inherited Members
Public Slots inherited from SimpleCodeGenerator
virtual void | syncCodeToDocument ()
Public Slots inherited from CodeGenerator
virtual void | syncCodeToDocument ()
Signals inherited from CodeGenerator
void | codeGenerated (UMLClassifier *concept, bool generated)
void | showGeneratedFile (const QString &filename)
Static Public Member Functions inherited from CodeGenerator
static QString | cleanName (const QString &name)
static QString | formatDoc (const QString &text, const QString &linePrefix=QLatin1String(" *"), int lineWidth=80)
static QString | formatSourceCode (const QString &code, const QString &indentation)
static void | findObjectsRelated (UMLClassifier *c, UMLPackageList &cList)
Protected Attributes inherited from SQLWriter
QStringList | m_enumsGenerated
UMLEntity * | m_pEntity
Protected Attributes inherited from SimpleCodeGenerator
QString | className_
QString | fileName_
QMap< UMLPackage *, QString > | m_fileMap
bool | m_createDirHierarchyForPackages
QString | m_indentation
int | m_indentLevel
QString | m_endl
Protected Attributes inherited from CodeGenerator
QHash< QString, CodeDocument * > | m_codeDocumentDictionary
bool | m_applyToAllRemaining
UMLDoc * | m_document

## Detailed Description

class PostgreSQLWriter is a sql code generator for PostgreSQL Create an instance of this class, and feed it a UMLClassifier when calling writeClass and it will generate a sql source file for that concept

## Constructor & Destructor Documentation

## ◆ PostgreSQLWriter()

PostgreSQLWriter::PostgreSQLWriter | ( |  | ) |

## ◆ ~PostgreSQLWriter()

PostgreSQLWriter::~PostgreSQLWriter | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ defaultDatatypes()

QStringList PostgreSQLWriter::defaultDatatypes | ( |  | ) |
| virtual

Reimplement method from CodeGenerator.

Reimplemented from SQLWriter.

## ◆ language()

Uml::ProgrammingLanguage::Enum PostgreSQLWriter::language | ( |  | ) | const
| virtual

Returns "PostgreSQL".

Reimplemented from SQLWriter.

## ◆ printAutoIncrements()

void PostgreSQLWriter::printAutoIncrements | ( | QTextStream & | sql,
|  | UMLEntityAttributeList | entAttList
| ) |  |
| protectedvirtual

Reimplement printAutoIncrement statements from Base Class for PostgreSQL

Reimplemented from SQLWriter.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/sql/postgresqlwriter.h
- umbrello/codegenerators/sql/postgresqlwriter.cpp